gitaly (16.11.6+ds1-ok1) nile; urgency=medium

  * Build for openKylin.

 -- openKylinBot <openKylinBot@openkylin.top>  Wed, 05 Nov 2025 08:01:08 +0000

gitaly (16.11.6+ds1-4) unstable; urgency=medium

  * Remove debian/links (not needed now) (Closes: #1101344)

 -- Pirate Praveen <praveen@debian.org>  Fri, 04 Apr 2025 02:38:58 +0530

gitaly (16.11.6+ds1-3) unstable; urgency=medium

  * Add golang-github-gogo-protobuf-dev to Build-Depends
  * Build only golang-gitlab-gitlab-org-gitaly-dev
    - gitaly and gitlab-common is replaced by gitaly-installer
    - ruby-gitaly is not used by gitlab anymore (installed
      from rubygems.org in postinst)

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Mar 2025 16:34:47 +0530

gitaly (16.11.6+ds1-2) experimental; urgency=medium

  * Update minimum version of gitlab-shell to 14.35~

 -- Pirate Praveen <praveen@debian.org>  Wed, 17 Jul 2024 12:49:12 +0530

gitaly (16.11.6+ds1-1) experimental; urgency=medium

  * New upstream version 16.11.6+ds1 (add go.opentelemetry.io/otel)
  * Update build depends

 -- Pirate Praveen <praveen@debian.org>  Sun, 14 Jul 2024 17:29:55 +0530

gitaly (16.11.3+ds15-1) experimental; urgency=medium

  * Update watch file pattern for gitlab.com
  * New upstream version 16.11.3+ds1
  * Refresh patches
  * Remove tools/govulncheck (build failing)
  * New upstream version 16.11.3+ds2 (update gocloud.dev in vendor to 0.37)
  * New upstream version 16.11.3+ds3 (update cloud.google.com/go to 0.112.2)
  * New upstream version 16.11.3+ds4 (update github.com/googleapis/gax-go to
    2.212.2)
  * New upstream version 16.11.3+ds5 (update aws-sdk-v2 to 2024-05-24)
  * New upstream version 16.11.3+ds6 (update google.golang.org/grpc to 1.62.2)
  * New upstream version 16.11.3+ds7 (update google.golang.org/api to 0.169.0)
  * New upstream version 16.11.3+ds8
  * New upstream version 16.11.3+ds9 (add github.com/google/s2a-go)
  * New upstream version 16.11.3+ds10 (drop testdata from s2a-go)
  * New upstream version 16.11.3+ds10 (reimport with upstream orig.tar)
  * New upstream version 16.11.3+ds11 (add golang.com/x/oauth2)
  * New upstream version 16.11.3+ds12 (update azblob to 1.3.1)
  * New upstream version 16.11.3+ds13 (update azcore to 1.10 azidentity 1.5.1)
  * New upstream version 16.11.3+ds14 (update azure sdk/internal to 1.5.2)
  * New upstream version 16.11.3+ds15 (update MSAL Go to 1.2.2)

 -- Pirate Praveen <praveen@debian.org>  Mon, 01 Jul 2024 21:03:54 +0530

gitaly (16.8.2+ds3-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Mon, 19 Feb 2024 18:46:30 +0530

gitaly (16.8.2+ds3-1) experimental; urgency=medium

  * New upstream version 16.8.2+ds3 (drop 2 modules from vendor)
  * Update minimum version of gitlab-shell to 14.33~
  * Add golang-github-miekg-dns-dev as build dependency

 -- Pirate Praveen <praveen@debian.org>  Wed, 14 Feb 2024 18:10:22 +0530

gitaly (16.8.2+ds2-1) experimental; urgency=medium

  * Team Upload.

  [ Pirate Praveen ]
  * New upstream version 16.8.2
  * Drop obsolete patch
  * New upstream version 16.8.2+ds1 (Add go-grpc-middleware v2 to vendor)
  * New upstream version 16.8.2+ds2 (Add hashicorp/yamux to vendor)
  * Revert "Drop obsolete patch"
  * Reintroduce patch that was removed earlier (we still need it)

  [ Mohammed Bilal ]
  * Refresh patch
  * Pass -w option to build-proto-gem

 -- Mohammed Bilal <rmb@debian.org>  Sun, 11 Feb 2024 22:26:27 +0530

gitaly (16.6.5+ds1-7) unstable; urgency=medium

  * Move back gitlab_log_dir to gitlab-debian.conf (used by gitlab-puma)

 -- Pirate Praveen <praveen@debian.org>  Sun, 21 Jan 2024 16:50:42 +0530

gitaly (16.6.5+ds1-6) unstable; urgency=medium

  * Move back gitlab_app_root and gitlab_pid_path to gitlab-debian.conf
    (these two are needed by gitlab-workhorse.service)

 -- Pirate Praveen <praveen@debian.org>  Sun, 21 Jan 2024 15:52:00 +0530

gitaly (16.6.5+ds1-5) unstable; urgency=medium

  * Move +gitlab_app_root, gitlab_data_dir, gitlab_pid_path, gitlab_log_dir
    variable from gitlab-debian.conf to gitlab-common.defaults (for
    gem-install.sh which needs to run before gitlab-debian.conf is created)

 -- Pirate Praveen <praveen@debian.org>  Sun, 21 Jan 2024 13:30:39 +0530

gitaly (16.6.5+ds1-4) unstable; urgency=medium

  * Reupload to unstable
  * Drop obsolete X?-Ruby-Versions from d/control

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Jan 2024 13:21:38 +0530

gitaly (16.6.5+ds1-3) experimental; urgency=medium

  * Create /etc/gitlab-common/logrotate-user.conf
    (this will be used for gitlab logrotate configuration)

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Jan 2024 13:21:29 +0530

gitaly (16.6.5+ds1-2) experimental; urgency=medium

  * Update minimum version of gitlab-shell to 14.30

 -- Pirate Praveen <praveen@debian.org>  Wed, 17 Jan 2024 01:50:22 +0530

gitaly (16.6.5+ds1-1) experimental; urgency=medium

  * Update minimum version of golang-go to 1:1.21~
  * New upstream version 16.6.5
  * New upstream version 16.6.5+ds1 (vendor go-grpc-middleware/v2)

 -- Pirate Praveen <praveen@debian.org>  Wed, 17 Jan 2024 00:37:29 +0530

gitaly (16.4.4+ds1-4) unstable; urgency=medium

  * Update minimum version of gitlab-shell to 14.28~

 -- Pirate Praveen <praveen@debian.org>  Fri, 22 Dec 2023 19:57:04 +0530

gitaly (16.4.4+ds1-3) unstable; urgency=medium

  * Really reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Tue, 19 Dec 2023 14:12:12 +0530

gitaly (16.4.4+ds1-2) experimental; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sun, 17 Dec 2023 21:54:41 +0530

gitaly (16.4.4+ds1-1) experimental; urgency=medium

  * New upstream version 16.4.4
  * Refresh patches
  * Drop golang-github-libgit2-git2go-v34-dev dependency
  * Remove failing test file
  * New upstream version 16.4.4+ds1 (add newer hashicorp/yamux)

 -- Pirate Praveen <praveen@debian.org>  Sun, 17 Dec 2023 01:09:11 +0530

gitaly (16.2.8+ds3-2) experimental; urgency=medium

  * Update minimum version of gitlab-shell to 14.23

 -- Pirate Praveen <praveen@debian.org>  Wed, 13 Dec 2023 00:35:53 +0530

gitaly (16.2.8+ds3-1) experimental; urgency=medium

  * New upstream version 16.2.8+ds3 (update grpc in vendor)

 -- Pirate Praveen <praveen@debian.org>  Sun, 03 Dec 2023 00:39:24 +0530

gitaly (16.2.8+ds2-1) experimental; urgency=medium

  [ Mohammed Bilal ]
  * d/p: update remove-go-embed.patch
  * add patch to change auxiliary binaries location

  [ Pirate Praveen ]
  * New upstream version 16.2.8+ds1
  * Refresh patches
  * New upstream version 16.2.8+ds2 (update vendored modules)
  * Disable failing tests
  * Update minimum version of git to 2.41

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Dec 2023 20:07:02 +0530

gitaly (16.0.8+ds1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 16.0.8+ds1
  * Add patch to fix FTBFS (Closes: #1052627)
  * d/rules: update suffix in VERSIONS

 -- Mohammed Bilal <rmb@debian.org>  Wed, 04 Oct 2023 14:43:39 +0000

gitaly (16.0.7+ds1-3) unstable; urgency=medium

  * Drop bundle install --local autopkgtest (ruby files are removed)

 -- Pirate Praveen <praveen@debian.org>  Tue, 11 Jul 2023 23:29:17 +0530

gitaly (16.0.7+ds1-2) unstable; urgency=medium

  * Reupload to unstable
  * Update minimum version of gitlab-shell
  * Drop override_dh_install obsoleted by ruby code removal

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Jul 2023 17:43:28 +0530

gitaly (16.0.7+ds1-1) experimental; urgency=medium

  * New upstream version 16.0.7
  * debian/{copyright,watch}: ruby directory is removed upstream, so we don't
    need to repack anymore
  * Remove patches modifying ruby directory
  * debian/{rules,control}: Bump module version v15 -> v16
  * New upstream version 16.0.7+ds1 (add github.com/golang-jwt/jwt/v5 in
    vendor)
  * Don't build tools/protoc-gen-doc (need unpackaged module, add to
    debian/clean)
  * Add patch to relax grpc-tools gem in tools/protogem/Gemfile
  * Drop ruby build dependencies and gitaly's ruby dependencies
  * Drop bundle install in postinst

 -- Pirate Praveen <praveen@debian.org>  Sat, 08 Jul 2023 19:32:08 +0530

gitaly (15.11.11+dfsg-1) unstable; urgency=medium

  * New upstream version 15.11.11+dfsg

 -- Pirate Praveen <praveen@debian.org>  Fri, 07 Jul 2023 11:18:35 +0530

gitaly (15.11.6+dfsg-1) experimental; urgency=medium

  [ Mohammed Bilal ]
  * Team upload.
  * New upstream version 15.10.8+dfsg

  [ Vinay Keshava ]
  * New upstream version 15.11.6+dfsg
  * Refresh Patches

 -- Vinay Keshava <vinaykeshava@disroot.org>  Tue, 20 Jun 2023 11:27:57 +0530

gitaly (15.10.8+dfsg-3) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Tue, 13 Jun 2023 01:54:28 +0530

gitaly (15.10.8+dfsg-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sun, 11 Jun 2023 20:09:49 +0530

gitaly (15.10.8+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update minimum version of git
  * New upstream version 15.10.8+dfsg

 -- Mohammed Bilal <mdbilal@disroot.org>  Fri, 09 Jun 2023 09:00:55 +0530

gitaly (15.10.7+dfsg-1) experimental; urgency=medium

  * Update minimum version of ruby-rugged to 1.5.1~
  * Update minimum version of ruby-activesupport
  * New upstream version 15.10.7+dfsg
  * Drop tools/golangci-lint directory (build fails)
  * Relax dependency on google-protobuf (version in archive is old)

 -- Pirate Praveen <praveen@debian.org>  Mon, 29 May 2023 10:35:03 +0530

gitaly (15.9.8+dfsg-1) experimental; urgency=medium

  [ Vinay Keshava ]
  * New upstream version 15.9.2+dfsg1

  [ Pirate Praveen ]
  * New upstream version 15.9.7+dfsg
  * New upstream version 15.9.8+dfsg

 -- Pirate Praveen <praveen@debian.org>  Mon, 08 May 2023 19:39:35 +0530

gitaly (15.8.4+dfsg1-2) experimental; urgency=medium

  * Team Upload.

  [ Pirate Praveen ]
  * Exclude ruby dependencies in nocheck build profile
  * Remove more generated files
  * Regenerate Gemfile.lock in tools/protogem directory

  [ Mohammed Bilal ]
  * Replace '' in path before checking storage path
    Thanks to Leopold for the bug report + patch  (Closes: #974159)

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 08 Apr 2023 23:39:59 +0530

gitaly (15.8.4+dfsg1-1) experimental; urgency=medium

  [ Pirate Praveen ]
  * Team upload.
  * Update minimum version of gitlab-shell to 14.14~
  * Update minimum version of ruby-google-protobuf

  [ Vinay Keshava ]
  * New upstream version 15.8.4+dfsg1

 -- Vinay Keshava <vinaykeshava@disroot.org>  Thu, 16 Mar 2023 00:56:26 +0530

gitaly (15.7.8+dfsg1-1) experimental; urgency=medium

  [ Mohammed Bilal ]
  * Bump min version of golang-go to 1.18
  * Update min version of git

  [ Pirate Praveen ]
  * New upstream version 15.7.8+dfsg
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * New upstream version 15.7.8+dfsg1
    (add github.com/hashicorp/golang-lru/v2 to vendor)
  * Drop ruby-github-linguist dependency
  * Refresh patches
  * Drop ruby-gitlab-license-finder dependency
  * Use * text=auto eol=lf in .gitattributes to fix line endings issues
  * Add ruby-gitaly to Depends, update ruby-gitlab-labkit minimum version
  * Remove devel and test groups from ruby/Gemfile

 -- Pirate Praveen <praveen@debian.org>  Sat, 04 Mar 2023 16:14:35 +0530

gitaly (15.6.6+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 15.6.6+dfsg

 -- Mohammed Bilal <mdbilal@disroot.org>  Sun, 22 Jan 2023 21:24:16 +0530

gitaly (15.6.4+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 15.6.4+dfsg
    - The following modules are now vendored
      + github.com/aws/aws-sdk-go-v2
      + github.com/Azure/azure-sdk-for-go/sdk
      + github.com/AzureAD/microsoft-authentication-library-for-go
      + gocloud.dev
  * d/control: Update min versions, add new deps
  * Refresh patches
    + Add patch to use golang-github-cli-browser

 -- Mohammed Bilal <mdbilal@disroot.org>  Fri, 13 Jan 2023 22:11:29 +0530

gitaly (15.5.4+dfsg1-1) experimental; urgency=medium

  * Team upload.

  [ Pirate Praveen ]
  * Update dependency versions

  [ Mohammed Bilal ]
  * New upstream version 15.5.4+dfsg1
     - Update vendored genproto version (0.0~git20210726.e7812ac)

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 12 Jan 2023 17:00:14 +0000

gitaly (15.5.4+dfsg-1) experimental; urgency=medium

  * Team Upload

  [ Pirate Praveen ]
  * Update minimum version of golang-github-go-enry-go-license-detector-dev
  * Switch to golang-github-golang-protobuf-1-5-dev (renamed)

  [ Mohammed Bilal ]
  * vendor packages that conflicts with golang-github-golang-protobuf-1-3-dev
  * New upstream version 15.5.4+dfsg
  * d/source/lintian-overrides:
      - lintian overrides for source-is-missing
      - override license-problem-gfdl-invariants lintian error
  * d/control:
      - add Build-Deps to build vendored modules
      - update minimum version of ruby-gitlab-labkit
      - rename golang-golang-x-tools to -dev 
      - fix ruby-script-but-no-ruby-dep lintian error
      - Bump min version of gitlab-shell
  * d/patches:
      - Refresh patches
      - drop patches no longer required
      - add patch to exclude go tools during build
      - add patch to modify build-proto-gem
  * d/rules: rename generate-proto-ruby to build-proto-gem

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 26 Nov 2022 18:04:55 +0530

gitaly (15.4.2+dfsg-1) experimental; urgency=medium

  * New upstream version 15.4.2+dfsg
  * Refresh patches
  * Update dependencies

 -- Pirate Praveen <praveen@debian.org>  Sun, 09 Oct 2022 23:54:13 +0530

gitaly (15.3.1+dfsg-2) experimental; urgency=medium

  * Update minimum version of gitlab-shell to 14.10
  * Update minimum version of activesupport to 6.1.6.1
  * Update gitlab-shell build dependency also to 14.10
  * Update minimum version of golang-github-git-lfs-git-lfs-dev to 3.0~
  * Add golang-gitlab-gitlab-org-gitlab-shell-v14-dev as dependency
  * Use golang git2go v34 to match libgit2 1.5

 -- Pirate Praveen <praveen@debian.org>  Mon, 03 Oct 2022 11:40:09 +0530

gitaly (15.3.1+dfsg-1) experimental; urgency=medium

  * New upstream version 15.3.1+dfsg
  * Refresh patches
  * Remove -v15 suffix from gitaly-git2go executable
  * Update minimum version of ruby-google-protobuf to 3.21

 -- Pirate Praveen <praveen@debian.org>  Sun, 28 Aug 2022 21:04:36 +0530

gitaly (15.2.2+dfsg2-2) experimental; urgency=medium

  * Update minimum version of gitlab-shell
  * Update minimum version of yamux in runtime dependency as well

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Aug 2022 23:10:13 +0530

gitaly (15.2.2+dfsg2-1) experimental; urgency=medium

  [ Nilesh Patra ]
  * Upstream came up with some sort of 'strange axe to grind' to install a
    few binaries mandatorily. It might be simply better to remove the
    stupid go:embed line since we build all binaries anyway, but let's keep
    it for the sake of less patching but it makes sense to get rid of it in
    long run. The way upstream organizes all of it is crazy -- they install
    things with bundler, make a custom build file and build the go libs as
    well with it. They do a horrible, horrible job there.

 -- Pirate Praveen <praveen@debian.org>  Thu, 18 Aug 2022 17:43:54 +0530

gitaly (15.2.2+dfsg1-1) experimental; urgency=medium

  * New upstream version 15.2.2+dfsg (drop vendored modules)
  * Refresh patches
  * Update dependencies

  [ Nilesh Patra ]
  * d/rules: Build more executables (fixes build failure)

 -- Pirate Praveen <praveen@debian.org>  Sun, 14 Aug 2022 22:23:46 +0530

gitaly (15.1.4+dfsg-1) experimental; urgency=medium

  * Update golang-gitlab-gitlab-org-labkit-dev (>= 1.16~)
  * Update golang-github-hashicorp-yamux-dev (>= 0.0+git20210316.a95892c~)
  * Vendor gitlab-shell version matching go.mod
  * New upstream version 15.1.4+dfsg
  * Update import path to v15

 -- Pirate Praveen <praveen@debian.org>  Sat, 30 Jul 2022 12:59:09 +0200

gitaly (15.0.4+dfsg-1) experimental; urgency=medium

  * New upstream version 15.0.4+dfsg
  * Update dependencies
  * Add golang-github-golang-jwt-jwt-dev as build dependency

 -- Pirate Praveen <praveen@debian.org>  Sun, 17 Jul 2022 11:33:33 +0200

gitaly (14.10.4+dfsg-1) experimental; urgency=medium

  * New upstream version 14.10.4+dfsg
  * Refresh patches
  * Add dependency on ruby-gitlab-markup
  * Update path for gitaly-git2go source directory
  * Update minimum version of ruby-activesupport
  * Update minimum version of gitlab-shell

 -- Pirate Praveen <praveen@debian.org>  Tue, 28 Jun 2022 01:35:25 +0530

gitaly (14.9.4+dfsg-2) experimental; urgency=medium

  * Update path for ruby-github-linguist languages.json in config.toml

 -- Pirate Praveen <praveen@debian.org>  Mon, 09 May 2022 00:34:29 +0530

gitaly (14.9.4+dfsg-1) experimental; urgency=medium

  * New upstream version 14.9.4+dfsg
  * Disable golang tests (hanging)
  * Update minimum version of gitlab-shell

 -- Pirate Praveen <praveen@debian.org>  Sun, 08 May 2022 22:22:42 +0530

gitaly (14.8.5+dfsg-1) experimental; urgency=medium

  * New upstream version 14.8.5+dfsg
  * Refresh patches
  * Update dependencies

 -- Pirate Praveen <praveen@debian.org>  Tue, 05 Apr 2022 16:31:28 +0530

gitaly (14.7.7+dfsg-2) experimental; urgency=medium

  * Update minimum version of gitlab-shell

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Apr 2022 13:08:44 +0530

gitaly (14.7.7+dfsg-1) experimental; urgency=medium

  * New upstream version 14.7.7+dfsg
  * Add back ruby-grpc dependency to ruby-gitaly

 -- Pirate Praveen <praveen@debian.org>  Fri, 01 Apr 2022 19:40:26 +0530

gitaly (14.7.4+dfsg-1) experimental; urgency=medium

  * New upstream version 14.7.4+dfsg
  * Refresh patches
  * Update dependencies

 -- Pirate Praveen <praveen@debian.org>  Mon, 28 Mar 2022 22:20:15 +0530

gitaly (14.6.3+dfsg-2) experimental; urgency=medium

  * Update minimum version of ruby-gollum-lib (for ruby-sanitize 6.0 compat)

 -- Pirate Praveen <praveen@debian.org>  Mon, 28 Feb 2022 00:27:15 +0530

gitaly (14.6.3+dfsg-1) experimental; urgency=medium

  * New upstream version 14.6.3+dfsg
  * Refresh patches
  * Add dependency on ruby-gitlab-license-finder

 -- Pirate Praveen <praveen@debian.org>  Sat, 22 Jan 2022 13:22:47 +0530

gitaly (14.5.2+dfsg-3) experimental; urgency=medium

  * Team Upload.
  * d/rules: Specify builddirectory for install
    + Populates golang-gitlab-gitlab-org-gitaly-dev with
      relevant files which was otherwise empty.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 12 Jan 2022 17:01:33 +0000

gitaly (14.5.2+dfsg-2) experimental; urgency=medium

  * Update minimum version of ruby-rugged to 1.2
  * Update minimum version of gitlab-shell to 13.22.1

 -- Pirate Praveen <praveen@debian.org>  Fri, 17 Dec 2021 12:55:22 +0530

gitaly (14.5.2+dfsg-1) experimental; urgency=medium

  * New upstream version 14.5.2+dfsg
  * Refresh patches
  * Update libgit2/git2go dependency

 -- Pirate Praveen <praveen@debian.org>  Sat, 11 Dec 2021 22:01:12 +0530

gitaly (14.4.4+dfsg-1) experimental; urgency=medium

  [ Sahil Dhiman ]
  * Update control to update min version of ruby-activesupport

  [ Pirate Praveen ]
  * New upstream version 14.4.4+dfsg

 -- Pirate Praveen <praveen@debian.org>  Tue, 07 Dec 2021 21:52:48 +0530

gitaly (14.4.2+dfsg-2) experimental; urgency=medium

  * Update minimum version of golang-any to 2:1.17
  * Update minimum version of git to 1:2.33~

 -- Pirate Praveen <praveen@debian.org>  Sun, 21 Nov 2021 23:42:11 +0530

gitaly (14.4.2+dfsg-1) experimental; urgency=medium

  * New upstream version 14.4.2+dfsg
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Thu, 18 Nov 2021 22:01:09 +0530

gitaly (14.3.4+dfsg-4) experimental; urgency=medium

  * Add dh line for building gitaly

 -- Pirate Praveen <praveen@debian.org>  Tue, 16 Nov 2021 17:05:30 +0530

gitaly (14.3.4+dfsg-3) experimental; urgency=medium

  * Update minimum version of gitlab-shell to 13.21.1

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 Nov 2021 21:48:53 +0530

gitaly (14.3.4+dfsg-2) experimental; urgency=medium

  * Add golang-gitlab-gitlab-org-gitaly-dev as new binary package

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 Nov 2021 21:14:22 +0530

gitaly (14.3.4+dfsg-1) experimental; urgency=medium

  * New upstream version 14.3.4+dfsg
  * Add golang-github-go-enry-go-license-detector-dev as build dep

 -- Pirate Praveen <praveen@debian.org>  Wed, 10 Nov 2021 21:58:06 +0530

gitaly (14.2.6+dfsg-1) experimental; urgency=medium

  * New upstream version 14.2.5+dfsg
  * Add build dependency on golang-gocloud-dev
  * Update minimum version of golang-google-grpc
  * New upstream version 14.2.6+dfsg
  * Update minimum version of ruby-gitlab-labkit
  * Set modeuleVersion and rename gitaly-git2go

 -- Pirate Praveen <praveen@debian.org>  Thu, 28 Oct 2021 22:14:11 +0530

gitaly (14.1.7+dfsg-1) experimental; urgency=medium

  * New upstream version 14.1.7+dfsg
  * Refresh patches
  * Update minimum version of ruby-gitlab-labkit to 0.20~

 -- Pirate Praveen <praveen@debian.org>  Fri, 01 Oct 2021 04:02:42 +0530

gitaly (14.0.10+dfsg-1) experimental; urgency=medium

  * New upstream version 14.0.10+dfsg
  * Refresh patches and delete patch already applied upstream
  * Install gocode
  * Set minimum version for golang-google-grpc-dev
  * Add golang-google-protobuf-dev to build-deps
  * Add patch to relax dependency on activesupport

  [ Pirate Praveen ]
  * Relax dependency on gitlab-labkit
  * Update minimum version on golang-goprotocol-dev to 1.5.2.
    Thanks to Nilesh (Closes: #993964)
  * Update minimum version of gitlab-shell to 13.19.1

 -- Pirate Praveen <praveen@debian.org>  Thu, 09 Sep 2021 03:24:39 +0530

gitaly (13.12.1+dfsg-5) experimental; urgency=medium

  * Update minimum version of ruby-google-protobuf
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Add back dependency on ruby-grpc and ruby-google-protobuf
    (Packaged versions are now compatible)

 -- Pirate Praveen <praveen@debian.org>  Wed, 25 Aug 2021 22:50:59 +0530

gitaly (13.12.1+dfsg-4) experimental; urgency=medium

  * Remove ruby-google-protobuf dependency from all binary packages

 -- Pirate Praveen <praveen@debian.org>  Sat, 12 Jun 2021 20:35:51 +0530

gitaly (13.12.1+dfsg-3) experimental; urgency=medium

  * Remove ruby-google-protobuf dependency (does not work with packaged version)
    See #989774 for details.

 -- Pirate Praveen <praveen@debian.org>  Sat, 12 Jun 2021 19:32:53 +0530

gitaly (13.12.1+dfsg-2) experimental; urgency=medium

  * Relax dependency on ruby-gitlab-labkit

 -- Pirate Praveen <praveen@debian.org>  Thu, 10 Jun 2021 00:04:40 +0530

gitaly (13.12.1+dfsg-1) experimental; urgency=medium

  * New upstream version 13.12.1+dfsg

 -- Sruthi Chandran <srud@debian.org>  Thu, 27 May 2021 01:14:38 +0530

gitaly (13.11.2+dfsg-2) experimental; urgency=medium

  * Update minimum version of git to 2.31

 -- Pirate Praveen <praveen@debian.org>  Fri, 30 Apr 2021 01:00:48 +0530

gitaly (13.11.2+dfsg-1) experimental; urgency=medium

  * New upstream version 13.11.2+dfsg
  * Refresh patches
  * Update (build) dependencies

 -- Pirate Praveen <praveen@debian.org>  Thu, 29 Apr 2021 19:25:24 +0530

gitaly (13.10.3+dfsg-1) experimental; urgency=medium

  * New upstream version 13.10.3+dfsg
  * Refresh patches, relax gitlab-labkit dependency
  * Update minimum version of ruby-gitlab-labkit

 -- Pirate Praveen <praveen@debian.org>  Fri, 16 Apr 2021 20:14:55 +0530

gitaly (13.9.3+dfsg-3) experimental; urgency=medium

  * Update minimum version of gitlab-shell

 -- Pirate Praveen <praveen@debian.org>  Sat, 03 Apr 2021 22:57:41 +0530

gitaly (13.9.3+dfsg-2) experimental; urgency=medium

  * Update minimum versions of dependencies
  * Update minimum versions of ruby-rugged and ruby-licensee
    (ruby-licensee is fixed now to allow using ruby-rugged 1.0)

 -- Pirate Praveen <praveen@debian.org>  Sat, 27 Mar 2021 00:43:03 +0530

gitaly (13.9.3+dfsg-1) experimental; urgency=medium

  * New upstream version 13.9.3+dfsg
  * Refresh patches
  * Update minimum versions of (build) dependencies

 -- Pirate Praveen <praveen@debian.org>  Thu, 11 Mar 2021 15:35:11 +0530

gitaly (13.8.5+dfsg2-2) experimental; urgency=medium

  * Relax dependency on gitlab-labkit gem to allow newer version required by
    gitlab

 -- Pirate Praveen <praveen@debian.org>  Tue, 09 Mar 2021 01:01:52 +0530

gitaly (13.8.5+dfsg2-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Fix syntax

  [ Pirate Praveen ]
  * Allow ruby-rugged 0.28 (from snapshot.debian.org)
  * Update minimum version of gitlab-shell to 13.14
  * New upstream version 13.8.5+dfsg (Drop github.com/mwitkow/grpc-proxy from
    vendor MUT/component)
  * Drop copyright for vendor/github.com/mwitkow/grpc-proxy
  * Update minimum version of gitlab-shell to 13.15~
  * Drop all copies of vendored code (now builds fine with packaged versions)

 -- Pirate Praveen <praveen@debian.org>  Mon, 08 Mar 2021 00:40:56 +0530

gitaly (13.7.5+dfsg-3) experimental; urgency=medium

  [ Dmitry Smirnov ]
  * Depends: git (>= 1:2.29~)

  [ Pirate Praveen ]
  * Remove dependency on ruby-grpc (currently broken, see #966653)
  * Switch back to ruby-rugged 0.28 (use snapshot.debian.org)

 -- Pirate Praveen <praveen@debian.org>  Mon, 22 Feb 2021 01:32:44 +0530

gitaly (13.7.5+dfsg-2) experimental; urgency=medium

  * Update minimum version of golang-github-oklog-ulid-dev to 2.0
  * Build gitaly-git2go binary
  * Build with git2go v31

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Feb 2021 15:36:46 +0530

gitaly (13.7.5+dfsg-1) experimental; urgency=medium

  * New upstream version 13.7.5+dfsg
  * Update build dependencies

 -- Pirate Praveen <praveen@debian.org>  Tue, 09 Feb 2021 01:41:18 +0530

gitaly (13.6.5+dfsg-1) experimental; urgency=medium

  * Use libgit2 v31 go library as build dependency
  * Drop modules removed from vendor from copyright file
  * Add vendor as a component
  * Update README.source for using vendor as a component
  * Add golang-github-getsentry-sentry-go-dev as build dependency
  * Refresh patches
  * New upstream version 13.6.5+dfsg
  * Update minimum version of ruby-gitlab-labkit

 -- Pirate Praveen <praveen@debian.org>  Thu, 28 Jan 2021 20:45:46 +0530

gitaly (13.5.4+dfsg-2) experimental; urgency=medium

  * Update minimum version of gitlab-shell to 13.11 (fixed ftbfs)
  * Update minimum version of ruby-github-linguist to 7.11
  * Update minimum version of ruby-licensee to 9.14

 -- Pirate Praveen <praveen@debian.org>  Sun, 03 Jan 2021 17:38:08 +0530

gitaly (13.5.4+dfsg-1) experimental; urgency=medium

  [ Pirate Praveen ]
  * Bump minimum version to ruby-grpc to 1.30.2

  [ Sruthi Chandran ]
  * New upstream version 13.5.4+dfsg

 -- Sruthi Chandran <srud@debian.org>  Fri, 01 Jan 2021 00:15:15 +0530

gitaly (13.4.6+dfsg1-2) unstable; urgency=medium

  * Reupload to unstable
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Tue, 01 Dec 2020 20:22:20 +0530

gitaly (13.4.6+dfsg1-1) experimental; urgency=medium

  [ Pirate Praveen ]
  * New upstream version 13.4.6+dfsg
  * Refresh patches
  * Add new build dependency on golang-honnef-go-tools-dev
  * Update build dependencies
  * New upstream version 13.4.6+dfsg1 (drop embedded copy of gitaly client)

  [ Sruthi Chandran ]
  * Update minimum version for deps and builddeps

 -- Sruthi Chandran <srud@debian.org>  Fri, 27 Nov 2020 02:06:49 +0530

gitaly (13.3.9+dfsg-1) unstable; urgency=medium

  * New upstream version 13.3.9+dfsg

 -- Pirate Praveen <praveen@debian.org>  Sat, 07 Nov 2020 15:33:39 +0530

gitaly (13.3.0+dfsg-2) unstable; urgency=medium

  * Source only upload for migration to testing (gem2deb now fixed to work with
    new version of bundler)

 -- Pirate Praveen <praveen@debian.org>  Tue, 03 Nov 2020 22:46:19 +0530

gitaly (13.3.0+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 13.3.0+dfsg
  * Updated Patches
  * Add Upstream Metadata
  * Delete ruby/Gemfile.lock while cleaning

 -- Abraham Raji <avronr@tuta.io>  Thu, 24 Sep 2020 15:47:16 +0000

gitaly (13.2.1+dfsg-3) unstable; urgency=medium

  * Update minimum version of gitlab-shell (for using unix socket for
    gitlab_url in preparation of switching to puma)

 -- Pirate Praveen <praveen@debian.org>  Thu, 20 Aug 2020 23:01:38 +0530

gitaly (13.2.1+dfsg-2) unstable; urgency=medium

  * Add ruby-bundler as dependency (fixes piuparts installation failure)
  * Add conflicts libruby2.5 (to make sure all native packages are updated)

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Aug 2020 15:37:49 +0530

gitaly (13.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 13.2.1+dfsg

 -- Pirate Praveen <praveen@debian.org>  Sun, 09 Aug 2020 22:27:40 +0530

gitaly (13.1.0+dfsg-1) experimental; urgency=medium

  * New upstream version 13.1.0+dfsg
  * Update minimum version of gitlab-shell to 13.3
  * Add gitlab section and configure url to gitlab-workhorse.socket

 -- Pirate Praveen <praveen@debian.org>  Mon, 22 Jun 2020 23:57:55 +0530

gitaly (13.0.6+dfsg-1) experimental; urgency=medium

  * Update minimum versions of build depends (for backports)
  * ruby/Gemfile.lock is excluded from source tar (no need to remove it again)
  * New upstream version 13.0.6+dfsg

 -- Pirate Praveen <praveen@debian.org>  Sat, 13 Jun 2020 15:23:11 +0530

gitaly (13.0.0+dfsg-1) experimental; urgency=medium

  * Drop github.com/cloudflare/tableflip (use packaged version)
  * Drop github.com/dchest/safefile from vendor (use packaged version)
  * Drop github.com/google/shlex (not used)
  * New upstream version 13.0.0+dfsg
  * Refresh patches
  * Add gitlab-shell as build dependency
  * Exclude ruby/Gemfile.lock from future versions
  * Tighten dependencies
  * Add grpc-tools conditionally in ruby/Gemfile (only needed during build)

 -- Pirate Praveen <praveen@debian.org>  Sat, 30 May 2020 21:09:01 +0530

gitaly (12.10.0+dfsg-1) experimental; urgency=medium

  * Drop modules from vendor: gopkg.in/yaml.v2 github.com/wadey/gocovmerge
    github.com/uber/jaeger-lib github.com/uber/jaeger-client-go
    github.com/tinylib/msgp github.com/Bowery/prompt
    github.com/certifi/gocertifi gopkg.in/gorp.v1
    gopkg.in/DataDog/dd-trace-go.v1 github.com/rubenv/sql-migrate
    golang.org/x/tools golang.org/x/lint google.golang.org/genproto
    github.com/client9/reopen
  * New upstream version 12.10.0+dfsg
  * Refresh patches
  * Drop github.com/prometheus/client_golang from vendor
  * Relax dependency on grpc gem to use packaged version
  * Update README.source
  * Tighten dependencies

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Apr 2020 23:33:13 +0530

gitaly (12.9.3+dfsg-1) experimental; urgency=medium

  * New upstream version 12.9.3+dfsg
  * Add missing copyright notices for vendor/*

 -- Pirate Praveen <praveen@debian.org>  Wed, 15 Apr 2020 17:31:03 +0530

gitaly (12.9.2+dfsg-2) experimental; urgency=medium

  * Tighten dependency on ruby-grpc (for backports)
  * Add gitlab-common binary (moved from src:gitlab)

 -- Pirate Praveen <praveen@debian.org>  Sun, 12 Apr 2020 18:49:56 +0530

gitaly (12.9.2+dfsg-1) experimental; urgency=medium

  * New upstream version 12.9.2+dfsg (Closes: #956302)
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Refresh patches
  * Update build dependencies
  * Update minimum version of ruby-gollum-lib to 4.2.7.8
  * Update gitlab-labkit to 0.11.0

 -- Pirate Praveen <praveen@debian.org>  Thu, 09 Apr 2020 20:04:32 +0530

gitaly (1.86.0+dfsg1-1) experimental; urgency=medium

  [ Abhijith PA ]
  * New upstream release.
  * Refresh patches
  * Update copyright for;
    + vendor/github.com/rubenv/sql-migrate
    + vendor/gopkg.in/gorp.v1

  [ Pirate Praveen ]
  * Update dependency on activesupport and gitlab-labkit

 -- Pirate Praveen <praveen@debian.org>  Fri, 13 Mar 2020 18:36:33 +0530

gitaly (1.78.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable
  * Build with golang 1.13
  * Allow grpc and google-protobuf from unstable in ruby/Gemfile
  * Allow ruby-grpc and ruby-google-protobuf from unstable

 -- Pirate Praveen <praveen@debian.org>  Mon, 13 Jan 2020 23:35:57 +0530

gitaly (1.78.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.78.0+dfsg
  * Add golang-github-lib-pq-dev as build dependency
  * Use golang version of grpc from system

 -- Pirate Praveen <praveen@debian.org>  Wed, 01 Jan 2020 00:41:02 +0530

gitaly (1.72.1+dfsg-2) experimental; urgency=medium

  * Relax dependency on grpc and google-protobuf in ruby/Gemfile
    (This fixes 503 errors when using older versions of grpc and protobuf)

 -- Pirate Praveen <praveen@debian.org>  Mon, 30 Dec 2019 17:33:27 +0530

gitaly (1.72.1+dfsg-1) experimental; urgency=medium

  * New upstream version 1.72.1+dfsg
  * Add golang-goprotobuf-dev as build dependency
  * Refresh patches
  * Bump minimum version of ruby-github-linguist to 7.5

 -- Pirate Praveen <praveen@debian.org>  Wed, 25 Dec 2019 22:39:55 +0530

gitaly (1.67.1+dfsg-1) experimental; urgency=medium

  * Update README.source
  * New upstream version 1.67.1+dfsg

 -- Pirate Praveen <praveen@debian.org>  Mon, 23 Dec 2019 17:50:56 +0530

gitaly (1.65.2+dfsg-1) experimental; urgency=medium

  * New upstream version 1.65.2+dfsg (Fixes: CVE-2019-19260)
  * Update minimum version of ruby-gitlab-labkit labkit to 0.5~

 -- Pirate Praveen <praveen@debian.org>  Fri, 29 Nov 2019 12:24:29 +0530

gitaly (1.59.3+dfsg-2) experimental; urgency=medium

  * Tighten build dependncy on grpc and protobuf
  * Tighten dependency on ruby-activesupport
  * Allow protobuf 3.7.1 and grpc 1.19.1 as runtime dependency (to fix gitlab
    ssh access breakage). See #942633 for details.

 -- Pirate Praveen <praveen@debian.org>  Wed, 20 Nov 2019 15:42:46 +0530

gitaly (1.59.3+dfsg-1) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 1.59.3+dfsg

  [ Pirate Praveen ]
  * Drop dh_auto_configure and move _support/generate-proto-ruby to
    override_dh_auto_build

 -- Pirate Praveen <praveen@debian.org>  Thu, 24 Oct 2019 22:46:00 +0530

gitaly (1.58.0+dfsg-2) experimental; urgency=medium

  * Binary included upload to work around buildd failure. 

 -- Pirate Praveen <praveen@debian.org>  Tue, 22 Oct 2019 18:45:54 +0530

gitaly (1.58.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.58.0+dfsg
  * Bump Standards-Version to 4.4.1 (no changes needed)
  * Generate new binary ruby-gitaly
  * Remove generated files

 -- Sruthi Chandran <srud@debian.org>  Sun, 20 Oct 2019 22:54:28 +0530

gitaly (1.53.3+debian-1) experimental; urgency=medium

  * New upstream version 1.53.3+debian

 -- Sruthi Chandran <srud@debian.org>  Mon, 30 Sep 2019 18:29:01 +0530

gitaly (1.47.3+debian-1) experimental; urgency=medium

  * New upstream version 1.47.3+debian
  * Refresh patches
  * Reintroduce vendor/ to embed dependencies

 -- Sruthi Chandran <srud@debian.org>  Fri, 27 Sep 2019 17:13:01 +0530

gitaly (1.42.5+debian-1) experimental; urgency=medium

  * New upstream version 1.42.5+debian
  * Bump Standards-Version to 4.4.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 11 Aug 2019 15:19:04 +0530

gitaly (1.34.3+debian-1) experimental; urgency=medium

  * New upstream version 1.34.3+debian
  * Change logging level to warn

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Jul 2019 22:57:26 +0530

gitaly (1.34.1+debian-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.34.1+debian
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Refresh patches

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Fri, 17 May 2019 04:18:21 +0530

gitaly (1.20.0+debian-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * rules: set DH_GOLANG_GO_GENERATE.

  [ Sruthi Chandran ]
  * New upstream version 1.20.0+debian
  * Fix gitaly.tmpfile to create run/gitlab/sockets (Closes: #918070)

 -- Sruthi Chandran <srud@disroot.org>  Fri, 15 Mar 2019 13:39:24 +0530

gitaly (1.12.0+debian-1) experimental; urgency=medium

  * New upstream version 1.12.0+debian
  * Tighten dependencies
  * Use embedded protobuf and genproto

 -- Pirate Praveen <praveen@debian.org>  Sun, 23 Dec 2018 11:54:55 +0530

gitaly (0.129.0+debian-3) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 15:01:59 +0530

gitaly (0.129.0+debian-2) experimental; urgency=medium

  * Trigger Gemfile.lock update when ruby libraries change (Closes: #909191)

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Dec 2018 17:00:55 +0530

gitaly (0.129.0+debian-1) experimental; urgency=medium

  * New upstream version 0.129.0+debian
  * Refresh patches
  * Tighten dependencies
  * Relax bundler version (version in debian is not affected by bug mentioned
    in ruby/Gemfile)

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Dec 2018 13:04:38 +0530

gitaly (0.125.1+debian-3) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sat, 08 Dec 2018 12:30:21 +0530

gitaly (0.125.1+debian-2) experimental; urgency=medium

  * Switch to github-linguist from gitlab-linguist

 -- Pirate Praveen <praveen@debian.org>  Wed, 05 Dec 2018 23:09:44 +0530

gitaly (0.125.1+debian-1) experimental; urgency=medium

  * New upstream version 0.125.1+debian

 -- Pirate Praveen <praveen@debian.org>  Mon, 26 Nov 2018 17:25:41 +0530

gitaly (0.120.1+debian-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Thu, 22 Nov 2018 20:43:07 +0530

gitaly (0.120.1+debian-1) experimental; urgency=medium

  * New upstream version 0.120.1+debian
  * Refresh patches
  * Tighten dependency on ruby-gitaly-proto

 -- Pirate Praveen <praveen@debian.org>  Wed, 21 Nov 2018 11:58:44 +0530

gitaly (0.117.3+debian-2) unstable; urgency=medium

  * Reupload to unstable
  * Allow ruby-github-linguist 5.x (gitlab needs 5.x)

 -- Pirate Praveen <praveen@debian.org>  Tue, 20 Nov 2018 10:24:27 +0530

gitaly (0.117.3+debian-1) experimental; urgency=medium

  * New upstream version 0.117.3+debian
  * Refresh patches
  * Update dependencies

 -- Pirate Praveen <praveen@debian.org>  Mon, 19 Nov 2018 19:47:55 +0530

gitaly (0.111.4+debian-3) unstable; urgency=medium

  * Relax dependency on gitaly-proto (Closes: #914055)

 -- Pirate Praveen <praveen@debian.org>  Mon, 19 Nov 2018 12:24:45 +0530

gitaly (0.111.4+debian-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sat, 17 Nov 2018 12:59:23 +0530

gitaly (0.111.4+debian-1) experimental; urgency=medium

  * New upstream version 0.111.4+debian

 -- Pirate Praveen <praveen@debian.org>  Tue, 13 Nov 2018 14:18:59 +0530

gitaly (0.100.1+debian2-1) unstable; urgency=medium

  * Switch back to vendored copies of grpc and golang-gitaly-proto
    (Closes: #912229)

 -- Pirate Praveen <praveen@debian.org>  Thu, 01 Nov 2018 15:47:28 +0530

gitaly (0.100.1+debian1-1) unstable; urgency=medium

  * Use grpc and gitaly-proto from system (remove vendored copies)

 -- Pirate Praveen <praveen@debian.org>  Sat, 20 Oct 2018 23:58:02 +0530

gitaly (0.100.1+debian-1) unstable; urgency=medium

  * New upstream version 0.100.1+debian
  * Use config.toml to specify languages.json

 -- Pirate Praveen <praveen@debian.org>  Thu, 18 Oct 2018 18:21:47 +0530

gitaly (0.96.2+debian-3) unstable; urgency=medium

  * Reupload to unstable (ruby-rugged >=0.27, ruby-grpc >=1.10 in unstable now)
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 Oct 2018 23:46:46 +0530

gitaly (0.96.2+debian-2) experimental; urgency=medium

  * Tighten/update dependencies to use gitlab forks
  * Make .bundle directory writably by symlinking to /var/lib/gitlab
  * Regenerate Gemfile.lock in postinst

 -- Pirate Praveen <praveen@debian.org>  Fri, 20 Jul 2018 18:31:54 +0530

gitaly (0.96.2+debian-1) experimental; urgency=medium

  * New upstream release
  * Use gitlab-common for user creation
  * Setup user created by gitlab-common for gitaly service
  * Remove dependencies provided by gitlab-common
  * Update watch file pattern
  * Use vendored version of golang-github-prometheus-client-golang-dev
    (Closes: #901223)

 -- Pirate Praveen <praveen@debian.org>  Thu, 14 Jun 2018 19:22:23 +0530

gitaly (0.96.1+debian-4) experimental; urgency=medium

  * Tighten dependencies (for stretch-backports build)

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Jun 2018 21:10:35 +0530

gitaly (0.96.1+debian-3) experimental; urgency=medium

  * Relax more ruby dependencies in Gemfile
  * Add ruby dependencies in control
  * Add a test to check ruby dependencies
  * Upload to experimental (need ruby-rugged and ruby-grpc from experimental)

 -- Pirate Praveen <praveen@debian.org>  Sat, 12 May 2018 20:00:04 +0530

gitaly (0.96.1+debian-2) unstable; urgency=medium

  * Don't install Gemfile.lock
  * Relax ruby dependencies in Gemfile
  * Bump standards version to 4.1.3

 -- Pirate Praveen <praveen@debian.org>  Thu, 03 May 2018 20:42:13 +0530

gitaly (0.96.1+debian-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Pirate Praveen ]
  * Install config.toml
  * Fix paths, install ruby code
  * New upstream patch to fix github-linguist path (Closes: #894277)

  [ Dmitry Smirnov ]
  * New upstream release.
  * rules:
    + don't install golang sources (Closes: #893680).
    + expose version string.
    + enabled tests but ignore failures.
    + dh_clean to remove Files-Excluded.
  * control: added "Built-Using" field.
  * Build-Depends: fixed debhelper version to allow building in backports.
  * Build-Depends:
    + golang-golang-x-crypto-dev
    + golang-golang-x-sync-dev
    + golang-golang-x-sys-dev
    + golang-golang-x-text-dev
    + golang-google-genproto-dev
  * Depends:
    - golang-go
    + ruby-github-linguist
    + adduser
    + pipexec
    + procps
    + "ruby | ruby-interpreter" (L: ruby-script-but-no-ruby-dep)
  * Introduced "debian/gbp.conf".
  * Introduced service files.

 -- Pirate Praveen <praveen@debian.org>  Fri, 27 Apr 2018 12:24:32 +0530

gitaly (0.91.0+debian-1) unstable; urgency=medium

  * New upstream version 0.91.0 (Closes: #882476)
  * Fix watch file to look for new download url pattern
  * Bump debhelper compat to 11 and standards version to 4.1.3
  * Keep vendored versions of google.golang.org/grpc and
    gitlab.com/gitlab-org/gitaly-proto
  * Remove dh-make templates from debian/rules
  * Install NOTICE as docs

 -- Pirate Praveen <praveen@debian.org>  Sat, 17 Mar 2018 14:47:39 +0530

gitaly (0.6.0+debian-1) unstable; urgency=medium

  * Initial release (Closes: #870606)

 -- Pirate Praveen <praveen@debian.org>  Thu, 03 Aug 2017 15:48:08 +0530
